rustc 1.59 and cargo 0.60 required by firefox 101

Bug #1968345 reported by Olivier Tilloy
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cargo (Ubuntu)
Status tracked in Kinetic
Bionic
Fix Released
Undecided
Canonical Foundations Team
Focal
Fix Released
Undecided
Canonical Foundations Team
Impish
Fix Released
Undecided
Canonical Foundations Team
Jammy
Fix Released
Undecided
Canonical Foundations Team
Kinetic
Fix Released
Undecided
Canonical Foundations Team
rustc (Ubuntu)
Status tracked in Kinetic
Bionic
Fix Released
Undecided
Canonical Foundations Team
Focal
Fix Released
Undecided
Canonical Foundations Team
Impish
Fix Released
Undecided
Canonical Foundations Team
Jammy
Fix Released
Undecided
Simon Chopin
Kinetic
Fix Released
Undecided
Simon Chopin

Bug Description

Firefox 101+ requires rustc 1.59 and cargo 0.60 to build¹.

The beta phase for Firefox 101.0 begins on 2022-04-28 and release candidates will be available from 2022-05-26.

We will need these in Ubuntu 22.10 and all supported releases: bionic, focal, impish, jammy.

¹ https://bugzilla.mozilla.org/show_bug.cgi?id=1763305

Tags: fr-2234
Olivier Tilloy (osomon)
Changed in rustc (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu Impish):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu Focal):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in cargo (Ubuntu Bionic):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Bionic):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Focal):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in rustc (Ubuntu Impish):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Simon Chopin (schopin)
tags: added: fr-2234
Simon Chopin (schopin)
Changed in rustc (Ubuntu Jammy):
assignee: Canonical Foundations Team (canonical-foundations) → Simon Chopin (schopin)
status: New → In Progress
Revision history for this message
Simon Chopin (schopin) wrote :

I have a first rustc build up in a PPA, haven't merged cargo yet, nor figured out the LLVM situation.

Revision history for this message
Simon Chopin (schopin) wrote :

I've spent more time than expected on cargo, with slow but steady progress (merge done, with infra in place to easily enable/disable bundling of libgit2 for future releases). I still have a few testsuite regressions to figure out, but sadly part of my attention has been diverted by release-related matters.

Changed in cargo (Ubuntu Jammy):
status: New → In Progress
Revision history for this message
Simon Chopin (schopin) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.59.0+dfsg1-1~ubuntu2

---------------
rustc (1.59.0+dfsg1-1~ubuntu2) kinetic; urgency=medium

  * Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
    main (LP: #1971128)

 -- Simon Chopin <email address hidden> Mon, 30 May 2022 09:59:01 +0200

Changed in rustc (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Simon Chopin (schopin) wrote :

Marking manually cargo as fixed released (I forgot to mark the bug in the changelog), and marking all other releases as Fix Committed as the packages are available in ppa:ubuntu-mozilla-security/rust-updates

Changed in cargo (Ubuntu Kinetic):
status: In Progress → Fix Released
Changed in cargo (Ubuntu Bionic):
status: New → Fix Committed
Changed in cargo (Ubuntu Focal):
status: New → Fix Committed
Changed in cargo (Ubuntu Impish):
status: New → Fix Committed
Changed in cargo (Ubuntu Jammy):
status: In Progress → Fix Committed
Changed in rustc (Ubuntu Bionic):
status: New → Fix Committed
Changed in rustc (Ubuntu Focal):
status: New → Fix Committed
Changed in rustc (Ubuntu Impish):
status: New → Fix Committed
Changed in rustc (Ubuntu Jammy):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.60.0ubuntu1-0ubuntu1~20.04.1

---------------
cargo (0.60.0ubuntu1-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to Focal (LP: #1968345)

 -- Simon Chopin <email address hidden> Wed, 08 Jun 2022 11:05:59 +0200

Changed in cargo (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~20.04.2

---------------
rustc (1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~20.04.2) focal; urgency=medium

  * d/p/u-revert-92419.patch: cherry-picked to fix a big performance
    regression on s390x.

 -- Simon Chopin <email address hidden> Tue, 07 Jun 2022 16:20:54 +0200

Changed in rustc (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~18.04.2

---------------
rustc (1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~18.04.2) bionic; urgency=medium

  * d/p/u-revert-92419.patch: cherry-picked to fix a big performance
    regression on s390x.

 -- Simon Chopin <email address hidden> Tue, 07 Jun 2022 16:23:43 +0200

Changed in rustc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~21.10.2

---------------
rustc (1.59.0+dfsg1~ubuntu1~llvm-1~ubuntu1~21.10.2) impish; urgency=medium

  * d/p/u-revert-92419.patch: cherry-picked to fix a big performance
    regression on s390x.

 -- Simon Chopin <email address hidden> Tue, 07 Jun 2022 16:17:36 +0200

Changed in rustc (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.60.0ubuntu1-0ubuntu1~21.10.1

---------------
cargo (0.60.0ubuntu1-0ubuntu1~21.10.1) impish; urgency=medium

  * Backport to impish (LP: #1968345)

 -- Simon Chopin <email address hidden> Wed, 08 Jun 2022 10:57:35 +0200

Changed in cargo (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.60.0ubuntu1-0ubuntu1~18.04.1

---------------
cargo (0.60.0ubuntu1-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic (LP: #1968345)
    - Relax debhelper requirements

 -- Simon Chopin <email address hidden> Wed, 08 Jun 2022 11:13:31 +0200

Changed in cargo (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rustc - 1.59.0+dfsg1-1~ubuntu2~22.04.1

---------------
rustc (1.59.0+dfsg1-1~ubuntu2~22.04.1) jammy; urgency=medium

  * Prepare backport for Jammy (LP: #1968345)

 -- Simon Chopin <email address hidden> Fri, 29 Apr 2022 10:22:52 +0200

Changed in rustc (Ubuntu Jammy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cargo - 0.60.0ubuntu1-0ubuntu1~22.04.1

---------------
cargo (0.60.0ubuntu1-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport to Jammy (LP: #1968345)

 -- Simon Chopin <email address hidden> Wed, 08 Jun 2022 10:49:39 +0200

Changed in cargo (Ubuntu Jammy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers